classification
Title: Use HTTPS protocol in links
Type: security Stage: resolved
Components: Documentation Versions: Python 3.6, Python 3.5, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: serhiy.storchaka Nosy List: alex, christian.heimes, docs@python, dstufft, georg.brandl, giampaolo.rodola, janssen, pitrou, python-dev, serhiy.storchaka, tim.golden, vstinner
Priority: normal Keywords: patch

Created on 2016-04-11 18:28 by serhiy.storchaka, last changed 2016-05-08 21:06 by serhiy.storchaka. This issue is now closed.

Files
File name Uploaded Description Edit
links_https.patch serhiy.storchaka, 2016-04-11 18:28 review
Messages (6)
msg263197 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2016-04-11 18:28
Proposed patch makes links in the docs to use the HTTPS protocol if possible. All changed links are tested manually.
msg263225 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2016-04-12 05:48
+1
msg263228 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2016-04-12 05:55
If these changes are acceptable, we should change the :rfc:, :pep:, etc roles to produce links with https.

I was not sure that these changes are worth, it was just interesting to me to research how many links support the HTTPS protocol now.
msg265047 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2016-05-07 07:50
New changeset 211a9f32dfb9 by Serhiy Storchaka in branch '3.5':
Issue #26736: Used HTTPS for external links in the documentation if possible.
https://hg.python.org/cpython/rev/211a9f32dfb9

New changeset 3ceb54a49387 by Serhiy Storchaka in branch 'default':
Issue #26736: Used HTTPS for external links in the documentation if possible.
https://hg.python.org/cpython/rev/3ceb54a49387

New changeset e3af25d70976 by Serhiy Storchaka in branch '2.7':
Issue #26736: Used HTTPS for external links in the documentation if possible.
https://hg.python.org/cpython/rev/e3af25d70976
msg265048 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2016-05-07 08:06
The :rfc: and :pep: roles are defined in Sphinx. I don't know if they can be configured to use HTTPS.
msg265054 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2016-05-07 09:27
Newer Sphinx versions already redefine docutils' RFC and PEP URLs to use https.
History
Date User Action Args
2016-05-08 21:06:13serhiy.storchakasetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2016-05-07 09:27:18georg.brandlsetmessages: + msg265054
2016-05-07 08:06:05serhiy.storchakasetmessages: + msg265048
2016-05-07 07:50:43python-devsetnosy: + python-dev
messages: + msg265047
2016-05-07 07:19:31serhiy.storchakasetassignee: docs@python -> serhiy.storchaka
2016-04-12 05:55:33serhiy.storchakasetmessages: + msg263228
2016-04-12 05:48:39georg.brandlsetmessages: + msg263225
2016-04-11 19:36:29vstinnersetnosy: + vstinner
2016-04-11 18:28:20serhiy.storchakacreate